register_node = minetest.register_node
register_alias = minetest.register_alias
register_ore = minetest.register_ore
register_decoration = minetest.register_decoration
modname = "colorlandia_colorland"
mymodname = modname .. ":"
myoldmodname = "colorland:"
globalsaturation = 60
globallightness = 0
--[[
colors = {
	{ "black", "^[colorizehsl::0", "^[colorize:#242424" },
	{ "gray", "^[colorizehsl::0", "^[colorize:#858585" },
	{ "white", "", "^[colorize:#FFFFFF" },
	{ "red", "^[colorizehsl:" .. 360 .. ":" .. globalsaturation, "^[colorize:#FF0D0D" },
	{ "orange", "^[colorizehsl:" .. 30 .. ":" .. globalsaturation, "^[colorize:#FF6619" },
	{ "yellow", "^[colorizehsl:" .. 60 .. ":" .. globalsaturation, "^[colorize:#FFFF19" },
	{ "green", "^[colorizehsl:" .. 110 .. ":" .. globalsaturation, "^[colorize:#19FF19" },
	{ "blue", "^[colorizehsl:" .. 220 .. ":" .. globalsaturation, "^[colorize:#1966FF" },
	{ "purple", "^[colorizehsl:" .. 260 .. ":" .. globalsaturation, "^[colorize:#B319FF" },
	{ "pink", "^[colorizehsl:" .. 320 .. ":" .. globalsaturation, "^[colorize:#FF19FF" },
}
]]

--second version
colors = {
	{ "black", "^[colorizehsl::0", "^[colorize:#242424" },
	{ "gray", "^[colorizehsl::0", "^[colorize:#858585" },
	{ "white", "^[contrast:80:^[colorizehsl::", "^[colorize:#FFFFFF" },
	{ "red", "^[colorizehsl:" .. 360 .. ":" .. globalsaturation, "^[colorize:#C42B2B" },
	{ "orange", "^[colorizehsl:" .. 30 .. ":" .. globalsaturation, "^[colorize:#D45414" },
	{ "yellow", "^[colorizehsl:" .. 60 .. ":" .. globalsaturation, "^[colorize:#FFE926" },
	{ "green", "^[colorizehsl:" .. 110 .. ":" .. globalsaturation, "^[colorize:#4AA647" },
	{ "blue", "^[colorizehsl:" .. 220 .. ":" .. globalsaturation, "^[colorize:#4366D9" },
	{ "purple", "^[colorizehsl:" .. 260 .. ":" .. globalsaturation, "^[colorize:#8F49CC" },
	{ "pink", "^[colorizehsl:" .. 320 .. ":" .. globalsaturation, "^[colorize:#F280FF" },
}


blocktypes = {
	--{"", 0, "plain"},
	{"block", 0 ,"plain.png^block.png"},
	{"brick", 0 ,"plain.png^brick.png"},
	{"square", 0, "plain.png^square.png"},
	{"diamond", 10, "diamond.png"}

}
dofile(minetest.get_modpath(modname) .. "/sounds.lua")
dofile(minetest.get_modpath(modname) .. "/nodes.lua")
dofile(minetest.get_modpath(modname) .. "/ores.lua")
dofile(minetest.get_modpath(modname) .. "/decorations.lua")
dofile(minetest.get_modpath(modname) .. "/crafts.lua")
dofile(minetest.get_modpath(modname) .. "/biomes.lua")
